## AgsFluidInterpolate7thOrderUtil

AgsFluidInterpolate7thOrderUtil — util functions to fluid interpolate 7th order

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFluidInterpolate7thOrderUtil * | ags_fluid_interpolate_7th_order_util_alloc ()
gpointer | ags_fluid_interpolate_7th_order_util_copy ()
void | ags_fluid_interpolate_7th_order_util_free ()
gpointer | ags_fluid_interpolate_7th_order_util_get_source ()
void | ags_fluid_interpolate_7th_order_util_set_source ()
guint | ags_fluid_interpolate_7th_order_util_get_source_stride ()
void | ags_fluid_interpolate_7th_order_util_set_source_stride ()
gpointer | ags_fluid_interpolate_7th_order_util_get_destination ()
void | ags_fluid_interpolate_7th_order_util_set_destination ()
guint | ags_fluid_interpolate_7th_order_util_get_destination_stride ()
void | ags_fluid_interpolate_7th_order_util_set_destination_stride ()
guint | ags_fluid_interpolate_7th_order_util_get_buffer_length ()
void | ags_fluid_interpolate_7th_order_util_set_buffer_length ()
AgsSoundcardFormat | ags_fluid_interpolate_7th_order_util_get_format ()
void | ags_fluid_interpolate_7th_order_util_set_format ()
guint | ags_fluid_interpolate_7th_order_util_get_samplerate ()
void | ags_fluid_interpolate_7th_order_util_set_samplerate ()
gdouble | ags_fluid_interpolate_7th_order_util_get_base_key ()
void | ags_fluid_interpolate_7th_order_util_set_base_key ()
gdouble | ags_fluid_interpolate_7th_order_util_get_tuning ()
void | ags_fluid_interpolate_7th_order_util_set_tuning ()
gdouble | ags_fluid_interpolate_7th_order_util_get_phase_increment ()
void | ags_fluid_interpolate_7th_order_util_set_phase_increment ()
gboolean | ags_fluid_interpolate_7th_order_util_get_vibrato_enabled ()
void | ags_fluid_interpolate_7th_order_util_set_vibrato_enabled ()
gdouble | ags_fluid_interpolate_7th_order_util_get_vibrato_gain ()
void | ags_fluid_interpolate_7th_order_util_set_vibrato_gain ()
gdouble | ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_depth ()
void | ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_depth ()
gdouble | ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_freq ()
void | ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_freq ()
gdouble | ags_fluid_interpolate_7th_order_util_get_vibrato_tuning ()
void | ags_fluid_interpolate_7th_order_util_set_vibrato_tuning ()
guint | ags_fluid_interpolate_7th_order_util_get_frame_count ()
void | ags_fluid_interpolate_7th_order_util_set_frame_count ()
guint | ags_fluid_interpolate_7th_order_util_get_offset ()
void | ags_fluid_interpolate_7th_order_util_set_offset ()
gboolean | ags_fluid_interpolate_7th_order_util_get_note_256th_mode ()
void | ags_fluid_interpolate_7th_order_util_set_note_256th_mode ()
guint | ags_fluid_interpolate_7th_order_util_get_offset_256th ()
void | ags_fluid_interpolate_7th_order_util_set_offset_256th ()
void | ags_fluid_interpolate_7th_order_util_pitch_s8 ()
void | ags_fluid_interpolate_7th_order_util_pitch_s16 ()
void | ags_fluid_interpolate_7th_order_util_pitch_s24 ()
void | ags_fluid_interpolate_7th_order_util_pitch_s32 ()
void | ags_fluid_interpolate_7th_order_util_pitch_s64 ()
void | ags_fluid_interpolate_7th_order_util_pitch_float ()
void | ags_fluid_interpolate_7th_order_util_pitch_double ()
void | ags_fluid_interpolate_7th_order_util_pitch_complex ()
void | ags_fluid_interpolate_7th_order_util_pitch ()

## Types and Values

#define | AGS_FLUID_INTERPOLATE_7TH_ORDER_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsFluidInterpolate7thOrderUtil

## Includes

    #include <ags/audio/ags_fluid_interpolate_7th_order_util.h>

## Description

These utility functions allow you to fill fluid interpolated 7th order data.

## Functions

### ags_fluid_interpolate_7th_order_util_alloc ()

    AgsFluidInterpolate7thOrderUtil *
    ags_fluid_interpolate_7th_order_util_alloc
                                   ();

Allocate AgsFluidInterpolate7thOrderUtil.

#### Returns

the newly allocated AgsFluidInterpolate7thOrderUtil

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_copy ()

    gpointer
    ags_fluid_interpolate_7th_order_util_copy
                                   (AgsFluidInterpolate7thOrderUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsFluidInterpolate7thOrderUtil |

#### Returns

a pointer of the new AgsFluidInterpolate7thOrderUtil

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_free ()

    void
    ags_fluid_interpolate_7th_order_util_free
                                   (AgsFluidInterpolate7thOrderUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_source ()

    gpointer
    ags_fluid_interpolate_7th_order_util_get_source
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get source buffer of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the source buffer

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_source ()

    void
    ags_fluid_interpolate_7th_order_util_set_source
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gpointer source);

Set `source` buffer of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
source | the source buffer. | [transfer none]

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_source_stride ()

    guint
    ags_fluid_interpolate_7th_order_util_get_source_stride
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get source stride of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the source buffer stride

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_source_stride ()

    void
    ags_fluid_interpolate_7th_order_util_set_source_stride
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint source_stride);

Set `source` stride of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
source_stride | the source buffer stride |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_destination ()

    gpointer
    ags_fluid_interpolate_7th_order_util_get_destination
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get destination buffer of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the destination buffer

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_destination ()

    void
    ags_fluid_interpolate_7th_order_util_set_destination
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gpointer destination);

Set `destination` buffer of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
destination | the destination buffer. | [transfer none]

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_destination_stride ()

    guint
    ags_fluid_interpolate_7th_order_util_get_destination_stride
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get destination stride of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the destination buffer stride

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_destination_stride ()

    void
    ags_fluid_interpolate_7th_order_util_set_destination_stride
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint destination_stride);

Set `destination` stride of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
destination_stride | the destination buffer stride |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_buffer_length ()

    guint
    ags_fluid_interpolate_7th_order_util_get_buffer_length
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get buffer length of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the buffer length

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_buffer_length ()

    void
    ags_fluid_interpolate_7th_order_util_set_buffer_length
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint buffer_length);

Set `buffer_length` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
buffer_length | the buffer length |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_format ()

    AgsSoundcardFormat
    ags_fluid_interpolate_7th_order_util_get_format
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get format of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the format

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_format ()

    void
    ags_fluid_interpolate_7th_order_util_set_format
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    AgsSoundcardFormat format);

Set `format` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
format | the format |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_samplerate ()

    guint
    ags_fluid_interpolate_7th_order_util_get_samplerate
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get samplerate of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the samplerate

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_samplerate ()

    void
    ags_fluid_interpolate_7th_order_util_set_samplerate
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint samplerate);

Set `samplerate` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
samplerate | the samplerate |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_base_key ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_base_key
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get base key of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the base key

Since: 4.0.0

### ags_fluid_interpolate_7th_order_util_set_base_key ()

    void
    ags_fluid_interpolate_7th_order_util_set_base_key
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble base_key);

Set `base_key` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
base_key | the base key |

Since: 4.0.0

### ags_fluid_interpolate_7th_order_util_get_tuning ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_tuning
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get tuning of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the tuning

Since: 4.0.0

### ags_fluid_interpolate_7th_order_util_set_tuning ()

    void
    ags_fluid_interpolate_7th_order_util_set_tuning
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble tuning);

Set `tuning` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
tuning | the tuning |

Since: 4.0.0

### ags_fluid_interpolate_7th_order_util_get_phase_increment ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_phase_increment
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get phase increment of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the phase increment

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_set_phase_increment ()

    void
    ags_fluid_interpolate_7th_order_util_set_phase_increment
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble phase_increment);

Set `phase_increment` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
phase_increment | the phase increment |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_get_vibrato_enabled ()

    gboolean
    ags_fluid_interpolate_7th_order_util_get_vibrato_enabled
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get vibrato enabled of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

`TRUE` if the vibrato is enabled, otherwise `FALSE`

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_set_vibrato_enabled ()

    void
    ags_fluid_interpolate_7th_order_util_set_vibrato_enabled
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gboolean vibrato_enabled);

Set `vibrato_enabled` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
vibrato_enabled | the vibrato enabled |

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_get_vibrato_gain ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_vibrato_gain
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get vibrato_gain of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the vibrato_gain

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_set_vibrato_gain ()

    void
    ags_fluid_interpolate_7th_order_util_set_vibrato_gain
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble vibrato_gain);

Set `vibrato_gain` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
vibrato_gain | the vibrato_gain |

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_depth ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_depth
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get vibrato LFO depth of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the vibrato LFO depth

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_depth ()

    void
    ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_depth
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble vibrato_lfo_depth);

Set `vibrato_lfo_depth` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
vibrato_lfo_depth | the vibrato LFO depth |

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_freq ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_vibrato_lfo_freq
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get vibrato LFO frequency of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the vibrato LFO frequency

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_freq ()

    void
    ags_fluid_interpolate_7th_order_util_set_vibrato_lfo_freq
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble vibrato_lfo_freq);

Set `vibrato_lfo_freq` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
vibrato_lfo_freq | the vibrato LFO frequency |

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_get_vibrato_tuning ()

    gdouble
    ags_fluid_interpolate_7th_order_util_get_vibrato_tuning
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get vibrato tuning of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the vibrato tuning

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_set_vibrato_tuning ()

    void
    ags_fluid_interpolate_7th_order_util_set_vibrato_tuning
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gdouble vibrato_tuning);

Set `vibrato_tuning` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
vibrato_tuning | the vibrato_tuning |

Since: 5.2.0

### ags_fluid_interpolate_7th_order_util_get_frame_count ()

    guint
    ags_fluid_interpolate_7th_order_util_get_frame_count
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get frame count of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the frame count

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_set_frame_count ()

    void
    ags_fluid_interpolate_7th_order_util_set_frame_count
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint frame_count);

Set `frame_count` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
frame_count | the frame count |

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_get_offset ()

    guint
    ags_fluid_interpolate_7th_order_util_get_offset
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get offset of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the offset

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_set_offset ()

    void
    ags_fluid_interpolate_7th_order_util_set_offset
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint offset);

Set `offset` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
offset | the offset |

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_get_note_256th_mode ()

    gboolean
    ags_fluid_interpolate_7th_order_util_get_note_256th_mode
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get note 256th mode of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

`TRUE` if note 256th mode, otherwise `FALSE`

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_set_note_256th_mode ()

    void
    ags_fluid_interpolate_7th_order_util_set_note_256th_mode
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
note_256th_mode | the note 256th mode |

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_get_offset_256th ()

    guint
    ags_fluid_interpolate_7th_order_util_get_offset_256th
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Get offset as note 256th of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

#### Returns

the offset as note 256th

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_set_offset_256th ()

    void
    ags_fluid_interpolate_7th_order_util_set_offset_256th
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util,
                                    guint offset_256th);

Set `offset_256th` of `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |
offset_256th | the offset as note 256th |

Since: 6.1.0

### ags_fluid_interpolate_7th_order_util_pitch_s8 ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_s8
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of signed 8 bit data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_s16 ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_s16
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of signed 16 bit data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_s24 ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_s24
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of signed 24 bit data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_s32 ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_s32
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of signed 32 bit data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_s64 ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_s64
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of signed 64 bit data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_float ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_float
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of floating point data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_double ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_double
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of double precision floating point data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch_complex ()

    void
    ags_fluid_interpolate_7th_order_util_pitch_complex
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` of complex data.

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

### ags_fluid_interpolate_7th_order_util_pitch ()

    void
    ags_fluid_interpolate_7th_order_util_pitch
                                   (AgsFluidInterpolate7thOrderUtil *fluid_interpolate_7th_order_util);

Pitch `fluid_interpolate_7th_order_util` .

#### Parameters

fluid_interpolate_7th_order_util | the AgsFluidInterpolate7thOrderUtil |

Since: 3.9.6

## Types and Values

### AGS_FLUID_INTERPOLATE_7TH_ORDER_UTIL_INITIALIZER

    #define             AGS_FLUID_INTERPOLATE_7TH_ORDER_UTIL_INITIALIZER